from datetime import datetime
from pydantic import BaseModel

from schemas.connector import Connector

class ChargePointBase(BaseModel):
    friendly_name: str
    is_active: bool

class ChargePointCreate(ChargePointBase):
    pass

class ChargePoint(ChargePointBase):
    id: str
    password: str
    last_seen: datetime
    connectors: list[Connector] = []

    class Config:
        from_attributes = True